#
# Needs more fixes, maybe remove all drivers for non agp/pci cards
# sunsparc arch may need more drivers removed, or even better, only
# install sun hardware drivers
#

Name:		x11-driver-video
Version:	7.7
Release:	%mkrel 27
Summary:	X11 video drivers
Group:		System/X11
License:	MIT

Requires:	x11-driver-video-amdgpu
Requires:	x11-driver-video-ati
%ifarch %{ix86} x86_64
# useful for qemu
Requires:	x11-driver-video-cirrus
%endif
Requires:	x11-driver-video-fbdev
%ifarch %{ix86} x86_64
#Requires:	x11-driver-video-glint
%endif
%ifarch %{ix86}
Requires:	x11-driver-video-geode
%endif
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-intel
#Requires:	x11-driver-video-mach64
Requires:	x11-driver-video-mga
Requires:	x11-driver-video-neomagic
%endif
%ifarch %{ix86} x86_64 aarch64
Requires:	x11-driver-video-nouveau
%endif
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-openchrome
%endif
Requires:	x11-driver-video-qxl
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-r128
#Requires:	x11-driver-video-s3
Requires:	x11-driver-video-s3virge
Requires:	x11-driver-video-savage
%endif
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-sis
Requires:	x11-driver-video-sisimedia
#Requires:	x11-driver-video-sisusb
Requires:	x11-driver-video-tdfx
#Requires:	x11-driver-video-trident
%endif
Requires:	x11-driver-video-v4l
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-vesa
%endif
%ifnarch aarch64 %arm
Requires:	x11-driver-video-vmware
%endif

%description
X11 video drivers metapackage. This package contains no files, but
depends on most common free X.org video drivers.

%files

%package uncommon
Summary:	Uncommon X11 video drivers
Group:		System/X11
License:	MIT
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-apm
Requires:	x11-driver-video-ark
%endif

# Probably only required for development/experiments
Requires:	x11-driver-video-dummy

%ifnarch aarch64 %arm
Requires:	x11-driver-video-i128
Requires:	x11-driver-video-i740

# SGI newport - too uncommon to be installed by default
#Requires:	x11-driver-video-newport

Requires:	x11-driver-video-rendition
Requires:	x11-driver-video-siliconmotion
%endif

# Too old hardware - should not be installed by default
Requires:	x11-driver-video-voodoo

# Stuff in contrib or recent drivers that nobody might be using:
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-xgi
Requires:	x11-driver-video-xgixp
%endif

%description uncommon
X11 video drivers metapackage. This package contains no files, but
depends on uncommon free X.org video drivers.

%files uncommon


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 7.7-27.mga10
+ Revision: 2252677
- fix dependencies

* Mon Jun 30 2025 umeabot <umeabot> 7.7-26.mga10
+ Revision: 2229793
- Mageia 10 Mass Rebuild

* Mon Nov 04 2024 daviddavid <daviddavid> 7.7-25.mga10
+ Revision: 2112380
- x11-driver-video-ark is only available on on i686 and x86_64 arches

* Sun Aug 28 2022 wally <wally> 7.7-24.mga9
+ Revision: 1881485
- drop requires for obsoleted x11-driver-video-tga

* Tue Mar 15 2022 umeabot <umeabot> 7.7-23.mga9
+ Revision: 1793673
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 tv <tv> 7.7-22.mga9
+ Revision: 1748786
- Reenable qxl now that it's fixed

* Sat Oct 02 2021 tmb <tmb> 7.7-21.mga9
+ Revision: 1748573
- disable requires on drivers not working with new xerver-abi

* Thu Jan 07 2021 luigiwalser <luigiwalser> 7.7-20.mga8
+ Revision: 1669636
- no nouveau on armv7hl

* Mon Mar 02 2020 tv <tv> 7.7-19.mga8
+ Revision: 1552947
- do not pull glide & sis on arm/aarch64

* Mon Mar 02 2020 tv <tv> 7.7-18.mga8
+ Revision: 1552946
- i740 & rendition are no more available on arm/aarch64

* Wed Feb 19 2020 tv <tv> 7.7-17.mga8
+ Revision: 1544089
- arm/aarch64: do not requires drivers that do not build anymore

* Fri Feb 14 2020 umeabot <umeabot> 7.7-16.mga8
+ Revision: 1519424
- Mageia 8 Mass Rebuild

* Fri Oct 12 2018 tv <tv> 7.7-15.mga7
+ Revision: 1319879
- fix deps on aarch64

* Sun Sep 23 2018 umeabot <umeabot> 7.7-14.mga7
+ Revision: 1301746
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 wally <wally> 7.7-13.mga7
+ Revision: 1246710
- drop x11-driver-video-tseng requires from x11-driver-video-uncommon

* Thu Apr 05 2018 neoclust <neoclust> 7.7-12.mga7
+ Revision: 1215337
- Do not try to install x11-driver-video-vesa on non %%{ix86} x86_64
+ tv <tv>
- drop support for unsupported Sparc

* Thu Nov 17 2016 tv <tv> 7.7-11.mga6
+ Revision: 1067856
- disable unsupported sisusb
- require again geode driver on i586

* Mon May 30 2016 tv <tv> 7.7-10.mga6
+ Revision: 1019414
- do not requires intel/openchrome/xgi* on arm
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 20 2015 tv <tv> 7.7-8.mga6
+ Revision: 904459
- drop req on x11-driver-video-chips

* Wed Nov 11 2015 tv <tv> 7.7-7.mga6
+ Revision: 902256
- requires x11-driver-video-amdgpu

* Wed Oct 15 2014 umeabot <umeabot> 7.7-6.mga5
+ Revision: 743882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.7-5.mga5
+ Revision: 690418
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 tmb <tmb> 7.7-4.mga5
+ Revision: 643141
- dont require x11-driver-video-geode as it does not support x11-server 1.16 (mga#13633)

* Wed Nov 20 2013 tv <tv> 7.7-3.mga4
+ Revision: 552027
- moves qxl requires from uncommon into main package (mga#10262)

* Sat Oct 19 2013 umeabot <umeabot> 7.7-2.mga4
+ Revision: 523666
- Mageia 4 Mass Rebuild

* Fri May 24 2013 tv <tv> 7.7-1.mga4
+ Revision: 426084
- reenable x11-driver-video-s3
- bump version from 1 to 7.7

* Fri May 24 2013 tv <tv> 1.0.0-44.mga4
+ Revision: 426068
- drop requires on x11-driver-video-s3 (no x11-server-1.14 support)

* Sun Apr 28 2013 tmb <tmb> 1.0.0-43.mga3
+ Revision: 411524
- require x11-driver-video-sisimedia as it now exists again

* Sat Apr 13 2013 tmb <tmb> 1.0.0-42.mga3
+ Revision: 409995
- drop requires on x11-driver-video-newport as it does not support x11-server 1.13

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-41.mga3
+ Revision: 385970
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 tv <tv> 1.0.0-40.mga3
+ Revision: 291161
- drop radeonhd driver (incompatible with 1.13 server)

* Fri Sep 07 2012 tv <tv> 1.0.0-2.mga3.nonfree
+ Revision: 289351
- rebuild for new xserver

* Tue Jun 05 2012 tv <tv> 1.0.0-39.mga3
+ Revision: 255772
- really do not require x11-driver-video-sisusb for now as it does not work wit x11-server-1.12

* Tue Jun 05 2012 tv <tv> 1.0.0-38.mga3
+ Revision: 254505
- do not require x11-driver-video-sisusb for now as it does not work wit x11-server-1.12

* Tue Dec 06 2011 tmb <tmb> 1.0.0-37.mga2
+ Revision: 177738
- submit to core/release

* Mon Nov 28 2011 tmb <tmb> 1.0.0-36.mga2
+ Revision: 173770
- rebuild for new x11-server

* Fri Mar 04 2011 tv <tv> 1.0.0-35.mga1
+ Revision: 64385
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.0.0-34.mga1
+ Revision: 50173
- imported package x11-driver-video


* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.0.0-34mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - Add xgi, xgixp and qxl to -uncommon

* Fri Feb 12 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.0-32mdv2010.1
+ Revision: 504695
- Don't require vga: doesn't work, unmaintained upstream

* Thu Feb 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.0-31mdv2010.1
+ Revision: 504295
- Don't require i810: it doesn't work. Use vesa or intel.

* Wed Dec 23 2009 Anssi Hannula <anssi@mandriva.org> 1.0.0-30mdv2010.1
+ Revision: 481893
- require x11-driver-video-nouveau

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 1.0.0-29mdv2010.0
+ Revision: 414681
- fix requires on uncommon

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.0-28mdv2009.1
+ Revision: 308273
- drop now unused drivers cyrix, imstt and viaarena

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.0-27mdv2009.1
+ Revision: 308208
- no longer require via (replaced totally by openchrome now)

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.0-26mdv2009.1
+ Revision: 308170
- no longer require nsc (migrated to geode)
- drop the require on amd (nothing uses it now, everything uses geode)

* Mon Nov 24 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-24mdv2009.1
+ Revision: 306159
- require x11-driver-video-i810 for early i810

* Thu Oct 16 2008 Olivier Blin <oblin@mandriva.com> 1.0.0-23mdv2009.1
+ Revision: 294176
- move back x11-driver-video-via in main package, we still use it (#42909)

* Tue Sep 09 2008 Olivier Blin <oblin@mandriva.com> 1.0.0-22mdv2009.0
+ Revision: 282998
- do not require x11-driver-video-vboxvideo, this is handled in rpmsrate

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-21mdv2009.0
+ Revision: 282695
- requires x11-driver-video-vboxvideo so that it work out of the box in vbox

* Mon Aug 25 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.0-20mdv2009.0
+ Revision: 276030
- prepare to rename sis-imedia sisimedia (name has to be consistent between
  driver and package or XFdrake fails)

* Mon Aug 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-19mdv2009.0
+ Revision: 270642
- fix requiring x11-driver-video-sis-imedia

* Sun Aug 10 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.0-18mdv2009.0
+ Revision: 270584
- add sisimedia (required for some semi-common new SiS chips)

* Fri Jul 04 2008 Olivier Blin <oblin@mandriva.com> 1.0.0-17mdv2009.0
+ Revision: 231646
- add back x11-driver-video-cirrus in main package (useful for qemu)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-16mdv2009.0
+ Revision: 219505
- x11-driver-video-mach64 & x11-driver-video-r128 were splited out of ati driver

* Tue May 20 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.0-15mdv2009.0
+ Revision: 209529
- put s3 back in the main package, we still have at least a few users with this driver

* Thu May 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.0-14mdv2009.0
+ Revision: 207870
- Don't install by default drivers for isa cards or drivers that did not
  receive an update in around 5 years.
  The new virtual package -uncommon allows installing those.

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-13mdv2009.0
+ Revision: 168306
- fix no-buildroot-tag

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Some updates to avoid installing files that will not be used, or that when
      required, the person installing the OS will know what is required.

* Wed Nov 28 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-12mdv2008.1
+ Revision: 113543
- bump release
- drop x11-driver-video-avivo requirement, driver is obsolete and i've deleted it

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-11mdv2008.0
+ Revision: 91564
- add radeonhd

* Thu Sep 13 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-10mdv2008.0
+ Revision: 85259
- add viaarena to driver list
- use MIT for license
- expand description
- tabs not spaces

* Tue Aug 14 2007 Thierry Vignaud <tv@mandriva.org> 1.0.0-9mdv2008.0
+ Revision: 63160
- requires x11-driver-video-avivo

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - do not require x11-driver-video-i810 on sparc

* Sun Apr 22 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.0-8mdv2008.0
+ Revision: 16852
- Update for i810 -> intel rename.


* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-7mdv2007.1
+ Revision: 146941
- fix installing on x86_64

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-6mdv2007.1
+ Revision: 144697
- require x11-driver-video-amd (for Geode chipsets)

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-5mdv2007.1
+ Revision: 110378
- require x11-driver-video-openchrome

* Tue Sep 19 2006 Pixel <pixel@mandriva.com> 1.0.0-4mdv2007.0
+ Revision: 61944
- do not obsolete xorg-x11-server which is still a package in 2007.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

